---
lang: en
title: 'API docs: rest.restrouter.find'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.restrouter.find.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestRouter](./rest.restrouter.md) &gt; [find](./rest.restrouter.find.md)

## RestRouter.find() method

Find a matching route for the given http request

<b>Signature:</b>

```typescript
find(request: Request): ResolvedRoute | undefined;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  request | <code>Request</code> | Http request |

<b>Returns:</b>

`ResolvedRoute | undefined`

The resolved route, if not found, `undefined` is returned


